Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::Base64Source Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::DataSource.

## Public Member Functions

| Base64Source (DataSource &source)
virtual int | getChar ()
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0

## Detailed Description

Filter source adding Base64 decoding.

## Constructor & Destructor Documentation

Base64Source::Base64Source | ( | DataSource & | source | ) |

## Member Function Documentation

int Base64Source::getChar | ( |  | ) |

virtual

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp